Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class JavaBaseModel

public abstract class JavaBaseModel
implements AeModel, OdeModel

Created by IntelliJ IDEA. User: bober Date: 08.01.2005 Time: 13:43:40 To change this template use Options | File Templates.

Method Summary
`void` | `add(double t, double[] y)`
`double[]` | `checkEvent(double t, double[] x)`
`void` | `clear()`
`double[]` | `dy_dt(double time, double[] x)`
`int` | `getNextTransition()`
`double []` | `getResults(double time)`
`double []` | `getTimes()`
`double` | `nextTransitionExecution(double tStart, double tEnd, double time, double[] x)`
`void` | `processEvent(int i, double t, double[] x)`
`void` | `processTransitionAfter(double time, double[] x, int nTransition)`
`double[]` | `solveAlgebraic(double time, double[] z)`

Method Detail

### add

    public void add(double t, double[] y)

### checkEvent

    public double[] checkEvent(double t, double[] x)

### clear

    public void clear()

### dy_dt

    public double[] dy_dt(double time, double[] x)

### getNextTransition

    public int getNextTransition()

### getResults

    public double [] getResults(double time)

### getTimes

    public double [] getTimes()

### nextTransitionExecution

    public double nextTransitionExecution(double tStart, double tEnd, double time, double[] x)

### processEvent

    public void processEvent(int i, double t, double[] x)

### processTransitionAfter

    public void processTransitionAfter(double time, double[] x, int nTransition)

### solveAlgebraic

    public double[] solveAlgebraic(double time, double[] z)

Association Links

to Class java.util.Vector

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM